# extroot

Expand the router's storage space, from few MB to several GB, by using a USB storage device.

`extroot` implies moving the router's overlay partition to this external USB device 

* Minimal requirements: `kmod-usb-storage kmod-fs-ext4 block-mount` 
* Extended functionalities: `e2fsprogs fdisk lsblk cryptsetup kmod-crypto-ecb kmod-crypto-misc kmod-crypto-sha512 kmod-crypto-user kmod-crypto-xts kmod-loop kmod-fs-isofs`

What this script should be doing:

* check minimal packages
* find usb & fetch overlay uuid
* mount uuid, clean partition, copy files from device's overlay
* check uci config, adjust accordingly